spandsp 0.0.6

swept_tone.c File Reference
`#include <stdlib.h>`
`#include <inttypes.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "floating_fudge.h"`
`#include "spandsp/telephony.h"`
`#include "spandsp/logging.h"`
`#include "spandsp/complex.h"`
`#include "spandsp/vector_float.h"`
`#include "spandsp/complex_vector_float.h"`
`#include "spandsp/vector_int.h"`
`#include "spandsp/complex_vector_int.h"`
`#include "spandsp/dds.h"`
`#include "spandsp/swept_tone.h"`
`#include "spandsp/private/logging.h"`
`#include "spandsp/private/swept_tone.h"`

## Functions
swept_tone_state_t * | swept_tone_init (swept_tone_state_t *s, float start, float end, float level, int duration, int repeating)
int | swept_tone (swept_tone_state_t *s, int16_t amp[], int max_len)
float | swept_tone_current_frequency (swept_tone_state_t *s)
int | swept_tone_release (swept_tone_state_t *s)
int | swept_tone_free (swept_tone_state_t *s)